GetAttributeTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.taglib
Class GetAttributeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.tiles.taglib.GetAttributeTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag, ComponentConstants

Direct Known Subclasses:
  ELGetAttributeTag

    public class GetAttributeTag

extends TagSupport
implements ComponentConstants

Retrieve the value of the specified component/template attribute property, and render it to the current JspWriter as a String. The usual toString() conversion is applied on the found value.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface org.apache.struts.tiles.taglib.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetAttributeTag()` Default constructor.

Method Summary
`int` | `doEndTag()` Close tag.
`String` | `getAttribute()` Get attribute.
`boolean` | `getIgnore()` Get ignore flag.
`String` | `getName()` Get Name.
`String` | `getRole()` Get role.
`void` | `release()` Release all allocated resources.
`void` | `setAttribute(String attribute)` Set attribute.
`void` | `setIgnore(boolean ignore)` Set ignoring flag when attribute is not found.
`void` | `setName(String value)` Set Name.
`void` | `setRole(String role)` Set role.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAttributeTag

    public GetAttributeTag()

  Default constructor.

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### setAttribute

    public void setAttribute(String attribute)

  Set attribute.

  Parameters:
    `attribute` - Attribute.

### getAttribute

    public String getAttribute()

  Get attribute.

  Returns:
    Attribute.

### setName

    public void setName(String value)

  Set Name. Same as setAttribute().

  Parameters:
    `value` - Attribute.

### getName

    public String getName()

  Get Name. Set as getAttribute().

  Returns:
    Attribute.

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignoring flag when attribute is not found.

  Parameters:
    `ignore` - default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### getIgnore

    public boolean getIgnore()

  Get ignore flag.

  Returns:
    `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### setRole

    public void setRole(String role)

  Set role.

  Parameters:
    `role` - The role the user must be in to store content.

### getRole

    public String getRole()

  Get role.

  Returns:
    Role.

### doEndTag

    public int doEndTag()
                 throws JspException

  Close tag.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Throws:
    `JspException` - On error processing tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.